﻿using System;
using System.IO;
using System.Reflection;
using System.Windows;

namespace Ascon.Pilot.SDK.ToolbarSample
{
    class IconLoader
    {
        public static byte[] GetIcon(string resourceName)
        {
            using (var stream = typeof(IconLoader).Assembly.GetManifestResourceStream($"Ascon.Pilot.SDK.ToolbarSample.{resourceName}"))
            {
                return ReadBytes(stream);
            }
        }

        private static byte[] ReadBytes(Stream input)
        {
            using (var ms = new MemoryStream())
            {
                input.CopyTo(ms);
                return ms.ToArray();
            }
        }
    }
}
